Subject: bug#4472: 23.1; Emacs manual not too helpful about binding keys

From: Chong Yidong <[email-masked]>
Date: Fri, 18 Sep 2009 19:11:10 -0400

> I couldn't even find the form (kbd...) in the manual, and I thought
> that was what we are now recommending in general (no?).

>From the manual:

     There are several ways to write a key binding using Lisp.  The
  simplest is to use the `kbd' macro, which converts a textual
  representation of a key sequence--similar to how we have written key
  sequences in this manual--into a form that can be passed as an argument
  to `global-set-key'.  For example, here's how to bind `C-z' to `shell'
  (*note Interactive Shell::):

       (global-set-key (kbd "C-z") 'shell)

etc., etc.